//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Device/InputOutput/ReadReflectometry.h
//! @brief     Defines ReadReflectometry
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_DEVICE_INPUTOUTPUT_READREFLECTOMETRY_H
#define BORNAGAIN_DEVICE_INPUTOUTPUT_READREFLECTOMETRY_H

#include <istream>

template <class T>
class Powerfield;

//! Class for reading reflectometry data from ASCII file.

class ReadReflectometry {
public:
    Powerfield<double>* readPowerfield(std::istream& inStream);
};

#endif // BORNAGAIN_DEVICE_INPUTOUTPUT_READREFLECTOMETRY_H
#endif // USER_API
