//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Device/InputOutput/ReadWriteNicos.h
//! @brief     Defines function IO::readNicosData
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_DEVICE_INPUTOUTPUT_READWRITENICOS_H
#define BORNAGAIN_DEVICE_INPUTOUTPUT_READWRITENICOS_H

#include "Device/Data/Powerfield.h"

//! Read/write SANSDRaw files written by Nicos (*.001).

namespace IO {

Powerfield<double>* readNicosData(std::istream& input_stream);
};

#endif // BORNAGAIN_DEVICE_INPUTOUTPUT_READWRITENICOS_H
