//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Processed/ParticleInSlice.h
//! @brief     Defines struct ParticleInSlice; there are no member functions to implement.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_RESAMPLE_PROCESSED_PARTICLEINSLICE_H
#define BORNAGAIN_RESAMPLE_PROCESSED_PARTICLEINSLICE_H

#include "Resample/Particle/IReParticle.h"
#include "Sample/Material/Admixtures.h"
#include <memory>

//! Struct that contains information on a sliced particle.
//! This information is needed for evaluating the sliced form factor and the average of a material,
//! used in the Fresnel calculations.
//!
//! @ingroup intern

struct ParticleInSlice {
    std::unique_ptr<IReParticle> particleSlice;
    Admixtures admixtures;
};

#endif // BORNAGAIN_RESAMPLE_PROCESSED_PARTICLEINSLICE_H
#endif // USER_API
