+++
title = "Gauss"
+++

### FormFactorGauss

A soft particle with Gaussian density distribution
$$n(\mathbf{r})=e^{-r^2/(2R^2)}.$$

#### Constructor

{{< highlight python >}}
FormFactorGauss(R)
{{< /highlight >}}

Parameters:
- R, mean radius.

#### Usage

As for any other [Form factor](/py/sample/particle/ff).

#### Implementation

Class {{% ref-class "Sample/SoftParticle" "FormFactorGauss" %}} inherits
from the interface class {{% ref-class "Sample/Particle" "IFormFactor" %}}.

The form factor is computed as
$$F(q)=R^3 \exp\left(-|q|^2R^2/(4\pi)\right).$$
